%define dirver 5.%(echo %version | cut -d. -f 2-3)
Name:          libktorrent
Version:       2.2.0
Release:       1mamba
Summary:       Library for KTorrent, a BitTorrent client for KDE
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://ktorrent.org/
Source:        https://download.kde.org/stable/ktorrent/%{dirver}/%{name}-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kdelibs-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libgmp-devel
BuildRequires: libqca-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Library for KTorrent, a BitTorrent client for KDE.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Library for KTorrent, a BitTorrent client for KDE.
This package contains static libraries and header files need for development.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}5.lang
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Torrent.so.*
%doc COPYING ChangeLog

%files devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/libktorrent
%{_kde5_includedir}/libktorrent/*
%dir %{_kde5_libdir}/cmake/KF5Torrent
%{_kde5_libdir}/cmake/KF5Torrent/*.cmake
%{_kde5_libdir}/libKF5Torrent.so

%changelog
* Mon Jul 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.0-1mamba
- update to 2.2.0

* Sun Mar 29 2020 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.1.1-1mamba
- update to 2.1.1

* Sat Sep 23 2017 Automatic Build System <autodist@mambasoft.it> 2.1-1mamba
- automatic version update by autodist

* Fri May 20 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- update to 2.0.1

* Sat Jan 19 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.1-1mamba
- update to 1.3.1

* Wed Sep 26 2012 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- update to 1.3.0

* Wed Jun 20 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1.2-1mamba
- update to 1.2.1.2

* Tue Apr 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- update to 1.2.0

* Thu May 12 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.1-1mamba
- update to 1.1.1

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 1.0.0-2mamba
- automatic rebuild by autodist

* Fri Jun 04 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-1mamba
- package created by autospec
